IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2c19:dd:dd:1300::/56- First address
2c19:dd:dd:1300::- Last address
2c19:dd:dd:13ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2c19:00dd:00dd:1300:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
3.1.d.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:dd:1300::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:dd:1300::/64 | 2c19:dd:dd:1300:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:dd:1301::/64 | 2c19:dd:dd:1301:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:dd:1302::/64 | 2c19:dd:dd:1302:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:dd:1303::/64 | 2c19:dd:dd:1303:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:dd:1304::/64 | 2c19:dd:dd:1304:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:dd:1305::/64 | 2c19:dd:dd:1305:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:dd:1306::/64 | 2c19:dd:dd:1306:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:dd:1307::/64 | 2c19:dd:dd:1307:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:dd:1308::/64 | 2c19:dd:dd:1308:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:dd:1309::/64 | 2c19:dd:dd:1309:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:dd:130a::/64 | 2c19:dd:dd:130a:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:dd:130b::/64 | 2c19:dd:dd:130b:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:dd:130c::/64 | 2c19:dd:dd:130c:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:dd:130d::/64 | 2c19:dd:dd:130d:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:dd:130e::/64 | 2c19:dd:dd:130e:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:dd:130f::/64 | 2c19:dd:dd:130f:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:dd:1310::/64 | 2c19:dd:dd:1310:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:dd:1311::/64 | 2c19:dd:dd:1311:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:dd:1312::/64 | 2c19:dd:dd:1312:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:dd:1313::/64 | 2c19:dd:dd:1313:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:dd:1314::/64 | 2c19:dd:dd:1314:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:dd:1315::/64 | 2c19:dd:dd:1315:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:dd:1316::/64 | 2c19:dd:dd:1316:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:dd:1317::/64 | 2c19:dd:dd:1317:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:dd:1318::/64 | 2c19:dd:dd:1318:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:dd:1319::/64 | 2c19:dd:dd:1319:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:dd:131a::/64 | 2c19:dd:dd:131a:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:dd:131b::/64 | 2c19:dd:dd:131b:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:dd:131c::/64 | 2c19:dd:dd:131c:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:dd:131d::/64 | 2c19:dd:dd:131d:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:dd:131e::/64 | 2c19:dd:dd:131e:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:dd:131f::/64 | 2c19:dd:dd:131f:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:dd:1320::/64 | 2c19:dd:dd:1320:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:dd:1321::/64 | 2c19:dd:dd:1321:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:dd:1322::/64 | 2c19:dd:dd:1322:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:dd:1323::/64 | 2c19:dd:dd:1323:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:dd:1324::/64 | 2c19:dd:dd:1324:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:dd:1325::/64 | 2c19:dd:dd:1325:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:dd:1326::/64 | 2c19:dd:dd:1326:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:dd:1327::/64 | 2c19:dd:dd:1327:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:dd:1328::/64 | 2c19:dd:dd:1328:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:dd:1329::/64 | 2c19:dd:dd:1329:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:dd:132a::/64 | 2c19:dd:dd:132a:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:dd:132b::/64 | 2c19:dd:dd:132b:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:dd:132c::/64 | 2c19:dd:dd:132c:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:dd:132d::/64 | 2c19:dd:dd:132d:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:dd:132e::/64 | 2c19:dd:dd:132e:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:dd:132f::/64 | 2c19:dd:dd:132f:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:dd:1330::/64 | 2c19:dd:dd:1330:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:dd:1331::/64 | 2c19:dd:dd:1331:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:dd:1332::/64 | 2c19:dd:dd:1332:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:dd:1333::/64 | 2c19:dd:dd:1333:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:dd:1334::/64 | 2c19:dd:dd:1334:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:dd:1335::/64 | 2c19:dd:dd:1335:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:dd:1336::/64 | 2c19:dd:dd:1336:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:dd:1337::/64 | 2c19:dd:dd:1337:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:dd:1338::/64 | 2c19:dd:dd:1338:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:dd:1339::/64 | 2c19:dd:dd:1339:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:dd:133a::/64 | 2c19:dd:dd:133a:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:dd:133b::/64 | 2c19:dd:dd:133b:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:dd:133c::/64 | 2c19:dd:dd:133c:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:dd:133d::/64 | 2c19:dd:dd:133d:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:dd:133e::/64 | 2c19:dd:dd:133e:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:dd:133f::/64 | 2c19:dd:dd:133f:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:dd:1340::/64 | 2c19:dd:dd:1340:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:dd:1341::/64 | 2c19:dd:dd:1341:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:dd:1342::/64 | 2c19:dd:dd:1342:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:dd:1343::/64 | 2c19:dd:dd:1343:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:dd:1344::/64 | 2c19:dd:dd:1344:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:dd:1345::/64 | 2c19:dd:dd:1345:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:dd:1346::/64 | 2c19:dd:dd:1346:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:dd:1347::/64 | 2c19:dd:dd:1347:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:dd:1348::/64 | 2c19:dd:dd:1348:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:dd:1349::/64 | 2c19:dd:dd:1349:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:dd:134a::/64 | 2c19:dd:dd:134a:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:dd:134b::/64 | 2c19:dd:dd:134b:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:dd:134c::/64 | 2c19:dd:dd:134c:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:dd:134d::/64 | 2c19:dd:dd:134d:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:dd:134e::/64 | 2c19:dd:dd:134e:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:dd:134f::/64 | 2c19:dd:dd:134f:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:dd:1350::/64 | 2c19:dd:dd:1350:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:dd:1351::/64 | 2c19:dd:dd:1351:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:dd:1352::/64 | 2c19:dd:dd:1352:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:dd:1353::/64 | 2c19:dd:dd:1353:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:dd:1354::/64 | 2c19:dd:dd:1354:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:dd:1355::/64 | 2c19:dd:dd:1355:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:dd:1356::/64 | 2c19:dd:dd:1356:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:dd:1357::/64 | 2c19:dd:dd:1357:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:dd:1358::/64 | 2c19:dd:dd:1358:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:dd:1359::/64 | 2c19:dd:dd:1359:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:dd:135a::/64 | 2c19:dd:dd:135a:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:dd:135b::/64 | 2c19:dd:dd:135b:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:dd:135c::/64 | 2c19:dd:dd:135c:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:dd:135d::/64 | 2c19:dd:dd:135d:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:dd:135e::/64 | 2c19:dd:dd:135e:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:dd:135f::/64 | 2c19:dd:dd:135f:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:dd:1360::/64 | 2c19:dd:dd:1360:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:dd:1361::/64 | 2c19:dd:dd:1361:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:dd:1362::/64 | 2c19:dd:dd:1362:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:dd:1363::/64 | 2c19:dd:dd:1363:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:dd:1364::/64 | 2c19:dd:dd:1364:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:dd:1365::/64 | 2c19:dd:dd:1365:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:dd:1366::/64 | 2c19:dd:dd:1366:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:dd:1367::/64 | 2c19:dd:dd:1367:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:dd:1368::/64 | 2c19:dd:dd:1368:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:dd:1369::/64 | 2c19:dd:dd:1369:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:dd:136a::/64 | 2c19:dd:dd:136a:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:dd:136b::/64 | 2c19:dd:dd:136b:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:dd:136c::/64 | 2c19:dd:dd:136c:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:dd:136d::/64 | 2c19:dd:dd:136d:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:dd:136e::/64 | 2c19:dd:dd:136e:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:dd:136f::/64 | 2c19:dd:dd:136f:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:dd:1370::/64 | 2c19:dd:dd:1370:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:dd:1371::/64 | 2c19:dd:dd:1371:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:dd:1372::/64 | 2c19:dd:dd:1372:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:dd:1373::/64 | 2c19:dd:dd:1373:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:dd:1374::/64 | 2c19:dd:dd:1374:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:dd:1375::/64 | 2c19:dd:dd:1375:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:dd:1376::/64 | 2c19:dd:dd:1376:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:dd:1377::/64 | 2c19:dd:dd:1377:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:dd:1378::/64 | 2c19:dd:dd:1378:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:dd:1379::/64 | 2c19:dd:dd:1379:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:dd:137a::/64 | 2c19:dd:dd:137a:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:dd:137b::/64 | 2c19:dd:dd:137b:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:dd:137c::/64 | 2c19:dd:dd:137c:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:dd:137d::/64 | 2c19:dd:dd:137d:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:dd:137e::/64 | 2c19:dd:dd:137e:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:dd:137f::/64 | 2c19:dd:dd:137f:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:dd:1380::/64 | 2c19:dd:dd:1380:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:dd:1381::/64 | 2c19:dd:dd:1381:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:dd:1382::/64 | 2c19:dd:dd:1382:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:dd:1383::/64 | 2c19:dd:dd:1383:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:dd:1384::/64 | 2c19:dd:dd:1384:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:dd:1385::/64 | 2c19:dd:dd:1385:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:dd:1386::/64 | 2c19:dd:dd:1386:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:dd:1387::/64 | 2c19:dd:dd:1387:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:dd:1388::/64 | 2c19:dd:dd:1388:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:dd:1389::/64 | 2c19:dd:dd:1389:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:dd:138a::/64 | 2c19:dd:dd:138a:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:dd:138b::/64 | 2c19:dd:dd:138b:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:dd:138c::/64 | 2c19:dd:dd:138c:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:dd:138d::/64 | 2c19:dd:dd:138d:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:dd:138e::/64 | 2c19:dd:dd:138e:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:dd:138f::/64 | 2c19:dd:dd:138f:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:dd:1390::/64 | 2c19:dd:dd:1390:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:dd:1391::/64 | 2c19:dd:dd:1391:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:dd:1392::/64 | 2c19:dd:dd:1392:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:dd:1393::/64 | 2c19:dd:dd:1393:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:dd:1394::/64 | 2c19:dd:dd:1394:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:dd:1395::/64 | 2c19:dd:dd:1395:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:dd:1396::/64 | 2c19:dd:dd:1396:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:dd:1397::/64 | 2c19:dd:dd:1397:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:dd:1398::/64 | 2c19:dd:dd:1398:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:dd:1399::/64 | 2c19:dd:dd:1399:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:dd:139a::/64 | 2c19:dd:dd:139a:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:dd:139b::/64 | 2c19:dd:dd:139b:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:dd:139c::/64 | 2c19:dd:dd:139c:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:dd:139d::/64 | 2c19:dd:dd:139d:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:dd:139e::/64 | 2c19:dd:dd:139e:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:dd:139f::/64 | 2c19:dd:dd:139f:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:dd:13a0::/64 | 2c19:dd:dd:13a0:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:dd:13a1::/64 | 2c19:dd:dd:13a1:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:dd:13a2::/64 | 2c19:dd:dd:13a2:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:dd:13a3::/64 | 2c19:dd:dd:13a3:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:dd:13a4::/64 | 2c19:dd:dd:13a4:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:dd:13a5::/64 | 2c19:dd:dd:13a5:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:dd:13a6::/64 | 2c19:dd:dd:13a6:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:dd:13a7::/64 | 2c19:dd:dd:13a7:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:dd:13a8::/64 | 2c19:dd:dd:13a8:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:dd:13a9::/64 | 2c19:dd:dd:13a9:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:dd:13aa::/64 | 2c19:dd:dd:13aa:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:dd:13ab::/64 | 2c19:dd:dd:13ab:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:dd:13ac::/64 | 2c19:dd:dd:13ac:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:dd:13ad::/64 | 2c19:dd:dd:13ad:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:dd:13ae::/64 | 2c19:dd:dd:13ae:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:dd:13af::/64 | 2c19:dd:dd:13af:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:dd:13b0::/64 | 2c19:dd:dd:13b0:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:dd:13b1::/64 | 2c19:dd:dd:13b1:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:dd:13b2::/64 | 2c19:dd:dd:13b2:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:dd:13b3::/64 | 2c19:dd:dd:13b3:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:dd:13b4::/64 | 2c19:dd:dd:13b4:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:dd:13b5::/64 | 2c19:dd:dd:13b5:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:dd:13b6::/64 | 2c19:dd:dd:13b6:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:dd:13b7::/64 | 2c19:dd:dd:13b7:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:dd:13b8::/64 | 2c19:dd:dd:13b8:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:dd:13b9::/64 | 2c19:dd:dd:13b9:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:dd:13ba::/64 | 2c19:dd:dd:13ba:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:dd:13bb::/64 | 2c19:dd:dd:13bb:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:dd:13bc::/64 | 2c19:dd:dd:13bc:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:dd:13bd::/64 | 2c19:dd:dd:13bd:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:dd:13be::/64 | 2c19:dd:dd:13be:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:dd:13bf::/64 | 2c19:dd:dd:13bf:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:dd:13c0::/64 | 2c19:dd:dd:13c0:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:dd:13c1::/64 | 2c19:dd:dd:13c1:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:dd:13c2::/64 | 2c19:dd:dd:13c2:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:dd:13c3::/64 | 2c19:dd:dd:13c3:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:dd:13c4::/64 | 2c19:dd:dd:13c4:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:dd:13c5::/64 | 2c19:dd:dd:13c5:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:dd:13c6::/64 | 2c19:dd:dd:13c6:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:dd:13c7::/64 | 2c19:dd:dd:13c7:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:dd:13c8::/64 | 2c19:dd:dd:13c8:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:dd:13c9::/64 | 2c19:dd:dd:13c9:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:dd:13ca::/64 | 2c19:dd:dd:13ca:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:dd:13cb::/64 | 2c19:dd:dd:13cb:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:dd:13cc::/64 | 2c19:dd:dd:13cc:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:dd:13cd::/64 | 2c19:dd:dd:13cd:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:dd:13ce::/64 | 2c19:dd:dd:13ce:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:dd:13cf::/64 | 2c19:dd:dd:13cf:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:dd:13d0::/64 | 2c19:dd:dd:13d0:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:dd:13d1::/64 | 2c19:dd:dd:13d1:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:dd:13d2::/64 | 2c19:dd:dd:13d2:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:dd:13d3::/64 | 2c19:dd:dd:13d3:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:dd:13d4::/64 | 2c19:dd:dd:13d4:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:dd:13d5::/64 | 2c19:dd:dd:13d5:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:dd:13d6::/64 | 2c19:dd:dd:13d6:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:dd:13d7::/64 | 2c19:dd:dd:13d7:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:dd:13d8::/64 | 2c19:dd:dd:13d8:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:dd:13d9::/64 | 2c19:dd:dd:13d9:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:dd:13da::/64 | 2c19:dd:dd:13da:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:dd:13db::/64 | 2c19:dd:dd:13db:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:dd:13dc::/64 | 2c19:dd:dd:13dc:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:dd:13dd::/64 | 2c19:dd:dd:13dd:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:dd:13de::/64 | 2c19:dd:dd:13de:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:dd:13df::/64 | 2c19:dd:dd:13df:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:dd:13e0::/64 | 2c19:dd:dd:13e0:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:dd:13e1::/64 | 2c19:dd:dd:13e1:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:dd:13e2::/64 | 2c19:dd:dd:13e2:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:dd:13e3::/64 | 2c19:dd:dd:13e3:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:dd:13e4::/64 | 2c19:dd:dd:13e4:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:dd:13e5::/64 | 2c19:dd:dd:13e5:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:dd:13e6::/64 | 2c19:dd:dd:13e6:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:dd:13e7::/64 | 2c19:dd:dd:13e7:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:dd:13e8::/64 | 2c19:dd:dd:13e8:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:dd:13e9::/64 | 2c19:dd:dd:13e9:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:dd:13ea::/64 | 2c19:dd:dd:13ea:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:dd:13eb::/64 | 2c19:dd:dd:13eb:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:dd:13ec::/64 | 2c19:dd:dd:13ec:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:dd:13ed::/64 | 2c19:dd:dd:13ed:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:dd:13ee::/64 | 2c19:dd:dd:13ee:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:dd:13ef::/64 | 2c19:dd:dd:13ef:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:dd:13f0::/64 | 2c19:dd:dd:13f0:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:dd:13f1::/64 | 2c19:dd:dd:13f1:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:dd:13f2::/64 | 2c19:dd:dd:13f2:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:dd:13f3::/64 | 2c19:dd:dd:13f3:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:dd:13f4::/64 | 2c19:dd:dd:13f4:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:dd:13f5::/64 | 2c19:dd:dd:13f5:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:dd:13f6::/64 | 2c19:dd:dd:13f6:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:dd:13f7::/64 | 2c19:dd:dd:13f7:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:dd:13f8::/64 | 2c19:dd:dd:13f8:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:dd:13f9::/64 | 2c19:dd:dd:13f9:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:dd:13fa::/64 | 2c19:dd:dd:13fa:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:dd:13fb::/64 | 2c19:dd:dd:13fb:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:dd:13fc::/64 | 2c19:dd:dd:13fc:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:dd:13fd::/64 | 2c19:dd:dd:13fd:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:dd:13fe::/64 | 2c19:dd:dd:13fe:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:dd:13ff::/64 | 2c19:dd:dd:13ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |